Page MenuHomePhabricator

Add ParserOutput::getWarnings() to action=parse output
Closed, ResolvedPublic

Description

This information is available from an edit preview, and should be via the API too. As a node in the result, of course, not as API warnings.

If applicable, also expose it via action=expandtemplates or other endpoints that deal with a ParserOutput.

Event Timeline

Anomie created this task.Mar 13 2015, 3:54 PM
Anomie raised the priority of this task from to Needs Triage.
Anomie updated the task description. (Show Details)
Anomie added a project: MediaWiki-API.
Anomie moved this task to Needs Code on the MediaWiki-API board.
Anomie added a subscriber: Anomie.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 13 2015, 3:54 PM
Anomie set Security to None.

I would like to work on this. Something like following api result is required?

{  
"parse": {
          "title": "API",
          "text": {
              "*": "parsed text"
          },
          "parse_warnings": [],         
      } 
}
"parse_warnings": [],

Yes, although "parsewarnings" might fit better with the rest of the API.

I have created a patch here https://gerrit.wikimedia.org/r/#/c/196898/ Please have a look

Aklapper triaged this task as Low priority.Mar 16 2015, 9:29 AM

Change 196898 had a related patch set uploaded (by Bmansurov):
[mediawiki/core@master] API: Allow returning parse warnings for action=parse

https://gerrit.wikimedia.org/r/196898

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMar 31 2017, 7:17 PM

Change 196898 merged by jenkins-bot:
[mediawiki/core@master] API: Allow returning parse warnings for action=parse

https://gerrit.wikimedia.org/r/196898

Anomie closed this task as Resolved.Apr 3 2017, 4:44 PM
Anomie assigned this task to bmansurov.